/**
 * Title:        Visualizer for CPlanT
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      Gerstner Laboratory, FEL-�VUT, Prague
 * @author Michal Dob�ek
 * @version 1.0
 */

package across.visio.ont;

// JAVA imports

// MY imports
//import aglobe.agent.visio.parser.*;

/**
 * <code>CPlantAgentDescription</code> is an object representation of %subj%
 * used in REGISTER messages.
 *
 * @see aglobe.agent.visio.MessageAnalyser
 */

public class CPlantAgentDescription
{

  private String _name= null;
  private String _country= null;
  private String _city= null;

  /**
   * The node should be the list with this structure
   * (:CPLANT-AGENT-DESCRIPTION (:KEY1 val1)(:key2 val2)...)
   */
  public CPlantAgentDescription(String name, String city, String country) //throws OntologyException
  {
    setName(name);
    setCity(city);
    setCountry(country);
  }

  public String getName() { return _name; }
  public String getCountry() { return _country; }
  public String getCity() { return _city; }

  public void setName(String Name) { _name= Name; }
  public void setCountry(String Country) { _country= Country; }
  public void setCity(String City) { _city= City; }
}