package across.visio.visual;


/**
 * Title:        Visualizer for CPlanT
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      Gerstner Laboratory, FEL-�VUT, Prague
 * @author Michal Dob�ek
 * @version 1.0
 */

/**
 * An interface o be implemented by VisAgent, VisAlliance, VisCoalition, VisTask
 * and VisString to be able to interact with custom TreeModel.
 */
public interface TreeMember
{
  /**
   * Node Type definitions
   */
  public final static int ntROOT            = 0;
  public final static int ntAGENTROOT       = 1;
  public final static int ntALLIANCEROOT    = 2;
  public final static int ntTASKROOT        = 3;

  public final static int ntAGENT           = 4;
  public final static int ntALLIANCE        = 5;
  public final static int ntCOALITION       = 6;
  public final static int ntCOALITIONLEADER = 7;

  public final static int ntAGENTTYPE       = 10;
  public final static int ntAGENTCOUNTRY    = 11;
  public final static int ntAGENTCITY       = 12;

  public final static int ntTASK            = 15;
  public final static int ntTASKLOCATION    = 16;
  public final static int ntTASKDEGREE      = 17;
  public final static int ntTASKDISASTER    = 18;

  public final static int ntTASKTRANSPORT = 19;
  public final static int ntTASKLOCATIONCFP = 20;
  public final static int ntTASKGOODS = 21;
  public final static int ntTASKTRANSPORTFAILURE = 22;
  public final static int ntTASKBESTLEADER = 23;

  public final static int ntTASKDATA        = 24; // petr
//  public final static int nt                = 1;
//  public final static int nt                = 1;


  public Object getChild(int index);

  public int getChildCount();

  public boolean isLeaf();

  public int getIndexOfChild(Object child);

  /**
   * For the incon renderer.
   */
  public int getNodeType();

}